/*分类列表页*/
.category-list{
    height: calc(100vh - 125px);
}
.category-list .nav-stacked > li {
    width: 110px;
    margin-top: 0;
    background: #f5f6f8;
}
.category-list .nav-stacked > li:last-child {
    flex-grow: 1;
    background: #f5f6f8;
}
.category-list .nav-stacked > li > a {
    font-size: 16px;
    padding: 20px 10px 20px 20px;
}
.category-list .nav-stacked > li > a:hover,
.category-list .nav-stacked > li > a:focus,
.category-list .nav-stacked > li.active > a,
.category-list .nav-stacked > li.active > a:hover,
.category-list .nav-stacked > li.active > a:focus {
    color: #7753ff;
    background-color: #fff;
    font-weight: bold;
}
.category-list .nav-stacked > li.active + li {
    border-radius: 0 15px 0 0;
}
/*.category-list .nav-stacked > li:not(.active) ~ .category-list .nav-stacked > li.active:first-of-type {
    background-color: blue;
}*/
.category-list .nav-stacked > li:nth-child(n):has(+ li.active) {
    border-radius: 0 0 15px 0;
}
.category-list .nav-stacked > li.active > a:after {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    width: 5px;
    height: 20px;
    margin-top: -10px;
    border-radius: 5px;
    background: #7753ff;
}
.category-list .tab-content{
    flex: 1;
    overflow-y: auto;
}
.category-list .tab-content .subcategory .btn{
    border-radius: 50px;
}
.category-list .media-item .embed-responsive{
    width: 90px;
}
.category-list .media-item.door .embed-responsive{
    width: 65px;
}
.category-list .media-item.door .media-body {
    vertical-align: middle;
}

/*数量增加*/
.quantity {
    font-size: 0;
    display: inline-block;
    vertical-align: top;
}
.quantity .quantity-text {
    display: inline-block;
    text-align: center;
    font-size: 16px;
    margin: 0 10px;
    border: 0;
}
.quantity .quantity-down,
.quantity .quantity-up {
    display: inline-block;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
    line-height: 1.2;
    width: 25px;
    height: 25px;
    border-radius: 50%;
}
.quantity .quantity-up{
    color: #fff;
    background: linear-gradient(to right, #c3a1fd, #8173F4);
}
.quantity .quantity-down{
    color: #8173F4;
    border: 1px solid #8173F4;
}
.quantity .quantity-text,
.quantity .quantity-down{
    display: none;
}
.quantity.has-value .quantity-text,
.quantity.has-value .quantity-down {
    display: inline-block;
}

/*选择时间*/
.date-list{
    width: 100%;
    white-space: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
    border-bottom: 0;
    font-size: 16px;
    padding: 0;
}
.date-list > li {
    display: inline-block;
    float: none;
}
.date-list > li > a {
    padding: 10px 12px;
    margin-right: 0;
    color: #777;
    line-height: 1.5;
}
.date-list > li.active > a,
.date-list > li.active > a:hover,
.date-list > li.active > a:focus{
    color: #7753ff;
    border: none;
    font-weight: 600;
}
.time-slots .slot-block{
    width: calc(100% / 3);
}
.time-slots .slot-item{
    background: #f5f6f8;
    border:1px solid #f5f6f8;
}
.time-slots .slot-item.active{
    color: #7753ff;
    background-color: #f1edff;
    border:1px solid #7753ff;
}
.time-slots .slot-item.active .text-muted{
    color: #7753ff;
}

/*倒计时样式*/
.countdown i{
    font-style: normal;
}

footer .tip{
    background: #f1f8fe;
    color: #286aff;
}